X
Tap here to go to the mobile version of the site.
Your Firefox is out of date and may contain a security risk! Upgrade Firefox

Support Forum

Galaxy ace is listed as compatible on http://www.mozilla.org/en-US/firefox/mobile/platforms/ but google play says it still is incompatible

Posted

Everything is in the subject line ...

Additional System Details

Application

  • User Agent: Mozilla/5.0 (Windows NT 5.1; rv:14.0) Gecko/20100101 Firefox/14.0.1

More Information

kbrosnan
  • Top 25 Contributor
  • Moderator
248 solutions 1751 answers

There are a large number of models of the Galaxy Ace http://pdadb.net/index.php?m=search&exp=galaxy%20ace

Only some of them meet the minimum specs we want to target for Firefox 16. We are currently looking at supporting ARMv6 phones that have 800mhz 512mb ram. Thus support depends on the exact model of the Galaxy Ace you have.

takluyver 0 solutions 1 answers

This page explicitly lists the Galaxy Ace GT-S5830 as supported:

http://support.mozilla.org/en-US/kb/will-firefox-work-my-mobile-device#w_supported-phones-tested

I have the GT-S5830i, and it appears there's also a GT-S5830T, but neither of them appear to have 512MB of RAM. Perhaps that page is wrong?